aptitude_0.8.12-1_i386.deb


Advertisement

Description

aptitude - terminal-based package manager

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename aptitude_0.8.12-1_i386.deb
Package name aptitude
Package version 0.8.12
Package release 1
Package architecture i386
Package type deb
Category admin admin::configuring admin::package-management implemented-in::c++ interface::commandline interface::text-mode role::program scope::application suite::debian uitoolkit::ncurses use::browsing use::configuring use::downloading use::searching works-with::software:package
Homepage https://wiki.debian.org/Aptitude
License -
Maintainer Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
Download size 1.39 MB
Installed size 4.46 MB

Alternatives

Package Version Architecture Repository
aptitude_0.8.12-1_amd64.deb 0.8.12 amd64 Debian Main
aptitude - - -

Requires

Name Value
aptitude-common = 0.8.12-1
libapt-pkg5.0 >= 1.3~exp1
libboost-iostreams1.67.0 -
libc6 >= 2.4
libcwidget4 >= 0.5.18-1
libgcc1 >= 1:4.2
libncursesw6 >= 6.1+20180210
libsigc++-2.0-0v5 >= 2.8.0
libsqlite3-0 >= 3.6.5
libstdc++6 >= 9
libtinfo6 >= 6.1+20180210
libxapian30 >= 1.4.12~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package aptitude_0.8.12-1_i386.deb
Source Package aptitude

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install aptitude deb package:
    # sudo apt-get install aptitude

Files

Path
/etc/cron.daily/aptitude
/etc/logrotate.d/aptitude
/usr/bin/aptitude-curses
/usr/share/bug/aptitude
/usr/share/doc/aptitude/NEWS.Debian.gz
/usr/share/doc/aptitude/changelog.Debian.gz
/usr/share/doc/aptitude/copyright
/usr/share/menu/aptitude

Changelog

2019-08-26 - Manuel A. Fernandez Montecelo <mafm@debian.org>
aptitude (0.8.12-1) unstable; urgency=medium
* New upstream release. Please see /usr/share/aptitude/NEWS for a change
log with more details.
- New features:
* Permit to retrieve changelogs of packages from Debian Ports
repositories.
* Adapt for changes in apt 1.9, like addressing deprecation and API
changes.  Thanks to Julian Andres Klode.
- Bug fixes:
* Adapt code to adapt to change of behaviour in Boost.MultiIndex
library, and so we can start using Boost >= 1.66, 1.67 is about to
become the default in Debian unstable.  Thanks to Julian Andres Klode.
* Fix crashes when Label of a repository is empty (Closes: #907436)
* Fix changelog downloads
* Read the correct number of elements in
pkg_item::pkg_columnizer::init_formatting() -- it was ignoring the last
element, reading only 25 out of 26.
- Internal changes:
* Misc. fixes about deprecation issues and minor compilation problems
* Bump build-dependencies on cwidget to >= 0.5.18, that implies a
library transition.  This ensures that aptitude is built against the
latest cwidget ABI in the buildds.
* d/patches, drop all patches because they are fixed in the upstream code:
- changelogs-debian-ports.patch
- fix-changelog-retrieval.patch
- fix-crash-907436.patch
- support-boost1.67.patch
* Ensure that it builds in unstable with all the GCC compiler and
library changes (Closes: #935615)
2019-02-14 - Axel Beckert <abe@debian.org>
aptitude (0.8.11-7) unstable; urgency=medium
* Change Homepage header from vanished aptitude.alioth.debian.org site
to https://wiki.debian.org/Aptitude. Thanks to henk for the reminder!
* Declare compliance with Debian Policy 4.3.0. (No changes needed.)
* Make all patches DEP-3 compliant by adding according meta data.
* Drop unused lintian override wrt. to a missing watch file.
* Add lintian override for warnings about its inline documentation
located at /usr/share/aptitude/README*.
* Add a bunch of generated documentation XML files to debian/clean.
2018-11-18 - Manuel A. Fernandez Montecelo <mafm@debian.org>
aptitude (0.8.11-6) unstable; urgency=medium
* Build-Depends: do not require Boost version 1.67 or greater:
- boost-defaults already points to 1.67 on most arches so we don't need
to ensure that aptitude builds against that version after the needed
fix
- and boost1.67 fails to build in some architectures and aptitude is
used as resolver in some builders, so it's important to keep things
working even if it's built against an older boost
2018-11-16 - Manuel A. Fernandez Montecelo <mafm@debian.org>
aptitude (0.8.11-5) unstable; urgency=medium
* Add new line to debian/patches/series, the upload of the last version
was rejected:
lintian output: 'quilt-series-without-trailing-newline ',
automatically rejected package.
2018-11-16 - Manuel A. Fernandez Montecelo <mafm@debian.org>
aptitude (0.8.11-4) unstable; urgency=medium
[ Manuel A. Fernandez Montecelo ]
* Bump Policy Standards-Version to 4.2.1 (no changes needed)
* d/copyright: update Source URL and copyright years
* d/watch: add
* Change Build-Depends related to Boost
- Change Build-Depends to require Boost version 1.67 or greater
- Remove Boost::Filesystem (not used in this upstream version, but had
not been removed yet as build-dependency in d/control)
- Add Boost::System, it was already used before but it needs to be
pulled in explicitly now
* d/patches:
- add changelogs-debian-ports.patch to allow to view changelogs of packages
from Debian Ports repositories
- add support-boost1.67.patch to support Boost >= 1.66, problems due
to change of behaviour in Boost.MultiIndex library.  Thanks to Julian
Andres Klode.
[ Chris Lamb ]
* Drop override for missing-depends-on-sensible-utils now that #904936
in Lintian is fixed and in stretch-backports.

See Also

Package Description
aptly-api_1.3.0+ds1-2.3_i386.deb Swiss army knife for Debian repository management - API
aptly-publisher_0.12.10-2_all.deb Tool for management of Aptly publishes
aptly_1.3.0+ds1-2.3_i386.deb Swiss army knife for Debian repository management - main package
apulse_0.1.12-2_i386.deb PulseAudio emulation for ALSA
apvlv_0.1.5+dfsg-3_i386.deb PDF viewer with Vim-like behaviour
apwal_0.4.5-1.1+b1_i386.deb icon-based floating application launcher with transparency
aqbanking-tools_5.8.2-0.1_i386.deb basic command line homebanking utilities
aqemu_0.9.2-2.3_i386.deb Qt5 front-end for QEMU and KVM
aqsis-examples_1.8.2-11_all.deb 3D rendering solution adhering to the RenderMan(R) standard, examples
aqsis_1.8.2-11+b2_i386.deb 3D rendering solution adhering to the RenderMan(R) standard, binaries
arachne-pnr-chipdb_0.1+20180909git840bdfd-1_all.deb Chip db files for arachne-pnr
arachne-pnr_0.1+20180909git840bdfd-1_i386.deb Place and route tool for iCE40 family FPGAs
aragorn_1.2.38-2_i386.deb tRNA and tmRNA detection in nucleotide sequences
arandr_0.1.9-2_all.deb Simple visual front end for XRandR
aranym_1.0.2-2.2_i386.deb Atari Running on Any Machine
Advertisement
Advertisement